btb-class |

# ImageLoadingProvider Methods

The methods of the ImageLoadingProvider class are listed below. For a complete list of ImageLoadingProvider class members, see the ImageLoadingProvider Members topic.

#### Public Static Methods

CompareSizes | Compare 'source' and 'frame' sizes by their dimensions.

#### Public Instance Methods

LoadItem | Perform single thumbnail loading pass on the specified item.
LoadItems | Perform single thumbnail loading pass on the items loaded on background and stored.

#### Protected Instance Methods

LoadItemAsync | Perform single pass of thumbnail item loading on background.
LoadItemsSync | Perform single thumbnail loading pass on the items loaded on background and stored.
LoadItemSync | Perform single pass of thumbnail item loading on foreground.

#### See Also

ImageLoadingProvider Class | ComponentOwl.BetterThumbnailBrowser Namespace